#if !defined(AFX_XYZPAGE_H__DE7A4FA6_8706_490B_A7A2_694C963CA3D4__INCLUDED_)
#define AFX_XYZPAGE_H__DE7A4FA6_8706_490B_A7A2_694C963CA3D4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// XyzPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CXyzPage dialog

class CXyzPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CXyzPage)

// Construction
public:
	CXyzPage();
	~CXyzPage();

// Dialog Data
	//{{AFX_DATA(CXyzPage)
	enum { IDD = IDD_XYZPAGE };
	BOOL	m_XyzSkipDlg;
	int		m_XyzType_Group;
	int		m_XyzFileType_Group;
	int		m_XyzByteOrder_Group;
	BOOL	m_XyzHasID;
	BOOL	m_XyzUseID;
	int		m_XyzAxis_Group;
	int		m_XyzStoredBy_Group;
	CString	m_XyzColumns;
	CString	m_XyzRows;
	CString	m_XyzFromColumn;
	CString	m_XyzFromRow;
	CString	m_XyzToColumn;
	CString	m_XyzToRow;
	BOOL	m_XyzUseNoData;
	CString	m_XyzNoDataValue;
	CString	m_XyzNoDataReplaceValue;
	int		m_XyzNoDataReplace_Group;
	BOOL	m_XyzReadClip;
	BOOL	m_XyzSaveAsDXF;
	CString	m_XyzScaleFactorZ;
	BOOL	m_XyzScaleZ;
	int		m_XyzFloatType_Group;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CXyzPage)
	public:
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CXyzPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnXyzskipdlg();
	afx_msg void OnXyzmeshtype();
	afx_msg void OnXyzscantype();
	afx_msg void OnXyzasciitype();
	afx_msg void OnXyzbinarytype();
	afx_msg void OnXyzintel();
	afx_msg void OnXyzmotorola();
	afx_msg void OnXyzfloattype();
	afx_msg void OnXyzdoubletype();
	afx_msg void OnXyzbyrow();
	afx_msg void OnXyzbycolumn();
	afx_msg void OnXyzreadclip();
	afx_msg void OnXyzaxis1();
	afx_msg void OnXyzaxis2();
	afx_msg void OnXyzaxis3();
	afx_msg void OnXyzscalez();
	afx_msg void OnXyzhasid();
	afx_msg void OnXyzuseid();
	afx_msg void OnXyzsaveasdxf();
	afx_msg void OnXyzusenodata();
	afx_msg void OnXyznodatareplace1();
	afx_msg void OnXyznodatareplace2();
	afx_msg void OnXyznodatareplace3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void Get_XYZ_Data();
public:
  afx_msg void OnBnClickedXyzdoubleztype();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XYZPAGE_H__DE7A4FA6_8706_490B_A7A2_694C963CA3D4__INCLUDED_)
